Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# App::Prove::State::Result::Test

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# App::Prove::State::Result::Test

- NAME
- VERSION
- DESCRIPTION
- SYNOPSIS
- METHODS
  - Class Methods
  - Instance Methods

# NAME

App::Prove::State::Result::Test - Individual test results.

# VERSION

Version 3.26

# DESCRIPTION

The `prove` command supports a `--state` option that instructs it to store persistent state across runs. This module encapsulates the results for a single test.

# SYNOPSIS

        # Re-run failed tests    $ prove --state=fail,save -rbv

# METHODS

## Class Methods

### `new`

## Instance Methods

### `name`

The name of the test. Usually a filename.

### `elapsed`

The total elapsed times the test took to run, in seconds from the epoch..

### `generation`

The number for the "generation" of the test run. The first generation is 1 (one) and subsequent generations are 2, 3, etc.

### `last_pass_time`

The last time the test program passed, in seconds from the epoch.

Returns `undef` if the program has never passed.

### `last_fail_time`

The last time the test suite failed, in seconds from the epoch.

Returns `undef` if the program has never failed.

### `mtime`

Returns the mtime of the test, in seconds from the epoch.

### `raw`

Returns a hashref of raw test data, suitable for serialization by YAML.

### `result`

Currently, whether or not the test suite passed with no 'problems' (such as TODO passed).

### `run_time`

The total time it took for the test to run, in seconds. If `Time::HiRes` is available, it will have finer granularity.

### `num_todo`

The number of tests with TODO directives.

### `sequence`

The order in which this test was run for the given test suite result.

### `total_passes`

The number of times the test has passed.

### `total_failures`

The number of times the test has failed.

### `parser`

The underlying parser object. This is useful if you need the full information for the test program.

Page index

- NAME
- VERSION
- DESCRIPTION
- SYNOPSIS
- METHODS
  - Class Methods
  - Instance Methods